'' 完毕：
Imports System.IO
Imports System.Drawing
Imports System.Text.RegularExpressions
Imports GrapeCity.Documents.Pdf
Imports GrapeCity.Documents.Pdf.Annotations
Imports GrapeCity.Documents.Pdf.TextMap
Imports GrapeCity.Documents.Pdf.AcroForms

'' 此示例演示了 GcPdfDocument.Redact() 方法的使用。
'' It加载FindAndRedact示例生成的PDF，其中
'' 某些区域被标记为密文，并应用这些密文。
'' 没有编辑注释的原始PDF是由TimeSheet创建的。
Public Class ApplyRedact
    Function CreatePDF(ByVal stream As Stream) As Integer
        Dim doc = New GcPdfDocument()
        Using fs = New FileStream(Path.Combine("Resources", "PDFs", "find-and-redact.pdf"), FileMode.Open, FileAccess.Read)
            '' 加载包含密文注释的 PDF（标记为密文的区域）：
            doc.Load(fs)

            '' 应用编辑：
            doc.Redact()

            '' 完毕：
            doc.Save(stream)
            Return doc.Pages.Count
        End Using
    End Function
End Class
